Installation of Extension Libraries does not detect 32bit or 64bit Modeler Install.

Technote (troubleshooting)


Problem(Abstract)

Installation of Extension Libraries does not detect 32bit or 64bit Modeler Install. This was ADM 7.0, Modeler Server 15 FP1,Text Analytics 15, C&DS5 FP1,Websphere 7, Redhat 5.2 - all 64 bit.

Symptom

This particular Redhat 5.2 64 bit system had 64 bit JDK installed on it, but it also had a 32 bit JDK 1.5.0_32 on it as well that came first in the path. Modeler 15 64 bit, C&DS5, ADM 7, Text Analytics 15, C&DS Adapters, and FP1 all installed successfully and were fine.


Cause

There was both a 32 bit JVM and 64 bit JVM installed on the system, but the 32 JVM came first in the path.

Environment

Redhat 5.2 64 bit, 64 bit JDK, and 32 bit JDK 1.5.0_32
ADM 7.0, Modeler Server 15 FP1,Text Analytics 15, C&DS5 FP1,Websphere 7, Redhat 5.2 - all 64 bit.

Diagnosing the problem

The ability to run any of the ADM streams interactively when connected to Modeler Server won't be there and it will display generic errors instead.

Resolving the problem

InstallAnywhere uses the first JVM that is found in the path statement or one could use the LAX_VM parameter to point to a different JVM.

Rate this page:

(0 users)Average rating

Document information


More support for:

Analytical Decision Management

Software version:

7.0

Operating system(s):

Linux

Reference #:

1632186

Modified date:

2013-03-25

Translate my page

Machine Translation

Content navigation